> For the complete documentation index, see [llms.txt](https://docs.getpurpledot.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getpurpledot.com/docs/purple-dot-apis/public-api/products-preorder-state.md).

# /products/preorder-state

#### [`GET /products/preorder-state`](#get-availability) <a href="#preorder-state-products" id="preorder-state-products"></a>

Get the pre-order state of a whole product. Useful for determining whether a particular product as a whole is on pre-order, for example when displaying a product in a collection grid.

Request query parameters:

* `api_key` - Required. Your Purple Dot store's public API key
* `handle`- Required. The Shopify handle of the product
* `country` - Optional. The country shopper is in

Response:

* `data`
  * `state` - One of:
    * `NO_OPEN_WAITLISTS` - there is no live or scheduled Waitlist inside Purple Dot for this product
    * `AVAILABLE_IN_STOCK` - when at least 1 variant is `AVAILABLE_IN_STOCK`
    * `ON_PREORDER` - when none of the variants are `AVAILABLE_IN_STOCK` but at least 1 variant is `ON_PREORDER`
    * `SOLD_OUT` - when all variants are `SOLD_OUT`
  * `waitlist` - The product's waitlist or `null` if there isn't an open waitlist.
    * `display_dispatch_date` - The string that should be shown as the estimated dispatch date for the product.
  * `product` - The product that the variant belongs to.
    * `handle` - The product's Shopify handle.

Examples:

```bash
curl --request GET \
  --url 'https://www.purpledotprice.com/api/v1/products/preorder-state?api_key=<...>&handle=womens-white-sneakers'
```

{% code overflow="wrap" %}

```json
{
  "meta": {
    "result": "success"
  },
  "data": [
    {
      "state": "ON_PREORDER",
      "waitlist": {
        "id": "00fe49ba-8e43-4b10-9588-dccaa30f19ac",
        "display_dispatch_date": "Estimated ship date 10–15 Jun",
        "payment_plan_descriptions": null,
        "selling_plan_id": null,
      },
      "product": {
        "id": "4697179062404",
        "product_code": "womens-white-sneakers"
      }
    }
  ]
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.getpurpledot.com/docs/purple-dot-apis/public-api/products-preorder-state.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
